html, body {
    display: flex;
    flex-direction: column;
    font-family: 'Roboto', sans-serif;
    font-size: 2vh;
    height: 100%;
    margin: 0;
    padding: 0;
    position: static;
    width: 100%;
}

.flex-container {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
}

header {
    height: 10vh;
    position: relative;
    background-repeat: no-repeat;
    background-position: 2em center;
}

#pagetitle {
    align-items: center;
    display: flex;
    height: 10vh;
    flex-direction: column;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}

#pagetitle h1,
#pagetitle h2 {
    margin: 0;
    padding: 0;
    text-align: center;
}

#pagetitle h1 {
    line-height: 2.2rem;
}

#pagetitle h2 {
    font-size: 1.2rem;
    line-height: 1.6rem;
}

nav {
    background-color: #eee;
    height: 5vh;
}

ul#nav-pages {
    box-sizing: border-box;
    list-style: none;
    height: 100%;
    margin: 0;
    padding: 0;
    align-items: stretch;
}

ul#nav-pages li {
    background-color: #82D9a8;
    border-radius: 3vh;
    box-sizing: border-box;
    color: #fff;
    display: inline-block;
    font-family: 'Roboto Condensed', 'Arial', 'Helvetica', sans-serif;
    font-size: .9em;
    font-weight: bold;
    line-height: 2vh;
    list-style: none;
    margin: 0 .2vw;
    padding: 1vh 1vw;
    display: flex;
    align-items: center;
    text-align: center;
}

ul#nav-pages li:hover {
    background-color: #55ade1;
    cursor: pointer;
}

ul#nav-pages li.active {
    background-color: #55ade1;
}

main {
    flex-grow: 1;
    position: relative;
}

#placeholder-page {
    box-sizing: border-box;
    display: none;
    height: 100%;
    padding: 1vh;
    width: 100%;
}

.layout-dashboard {
    position: relative;
    height: 100%;
}

.layout-column {
    bottom: 0;
    display: flex;
    flex-flow: row wrap;
    overflow-y: auto;
    position: absolute;
    top: 0;
    width: 100%;
}

.placeholder-chart {
    background: #fff;
    border-radius: 1vh;
    box-sizing: border-box;
    flex-direction: column;
    padding: 1vh;
    position: absolute;
}

.placeholder-chart h2.chart-title,
.placeholder-chart h3.chart-subtitle,
.placeholder-chart h3.chart-error {
    font-family: 'Roboto Condensed', 'Arial', 'Helvetica', sans-serif;
    margin: 0;
    padding: 0;
    width: 100%;
}

.placeholder-chart h2.chart-title,
.placeholder-chart h3.chart-subtitle {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.placeholder-chart h2.chart-title {
    color: #213333;
    font-size: 3vh;
    font-weight: bold;
    line-height: 4vh;
}

.placeholder-chart h3.chart-subtitle,
.placeholder-chart h3.chart-error {
    color: #524d4d;
    font-size: 2vh;
    font-weight: normal;
    line-height: 3vh;
}

.placeholder-result {
    box-sizing: border-box;
    flex-grow: 1;
    width: 100%;
    height: 80%;
}

.wrapper-result-open {
    box-sizing: border-box;
    flex-grow: 1;
    position: relative;
    width: 100%;
}

.list-result-open {
    box-sizing: border-box;
    height: 100%;
    font-family: 'Open Sans', 'Arial', 'Helvetica', sans-serif;
    font-size: .8rem;
    padding: 1vh;
    position: absolute;
    overflow-y: auto;
    width: 100%;
}

footer {
    align-items: baseline;
    background-color: #eee;
    border-top: 1px solid #999;
    height: 2vh;
}

footer span {
    box-sizing: border-box;
    color: #666;
    display: inline-block;
    font-size: .7em;
    margin: 0 1em;
    position: relative;
}

h1 {
    color: #121c5e;
    font-size: 2em;
}

#loading-filters,
#toggle-filters {
    font-size: 5vh;
    padding: 2.5vh;
    position: absolute;
    right: 0;
    z-index: 2;
}

#toggle-filters {
    cursor: pointer;
    display: none;
}

#dialog-filters {
    display: none;
}

#dialog-filters .filter-widget {
    display: flex;
    flex-direction: row;
    margin-top: 1em;
    width: 100%;
    align-items: center;
}

#dialog-filters .filter-widget label,
#dialog-filters .filter-widget select,
#dialog-filters .filter-widget .select2 {
    width: 50%;
}

#dialog-filters .filter-widget label {
    color: #121c5e;
    font-size: .8em;
    font-weight: bold;
    position: relative;
}

#dialog-filters .filter-widget input,
#dialog-filters .filter-widget select,
.select2-container--default .select2-selection--multiple,
.select2-container--default.select2-container--focus .select2-selection--multiple {
    background-color: #fff;
    border: 2px solid #82D9a8;
    border-radius: 2vw;
    height: 45px;
    padding: .25em .5em;
}

#dialog-filters .filter-widget #filter-submit {
    padding: .5em 1em;
    color: #fff;
    background-color: #82D9a8;
    border: none;
    border-radius: 1.33vw;
    cursor: pointer;
    position: absolute;
    right: 1em;
}

ul#list-filters,
ul#list-filters li {
    margin: 0;
    padding: 0;
    list-style: none;
}

ul#list-filters li {
    display: inline-block;
}

ul#list-filters li span {
    font-size: .7em;
    line-height: .8em;
    margin: 0 0 0 .5em;
}

ul#list-filters li span.filter-param {
    font-weight: bold;
}

#loading-page {
    box-sizing: border-box;
    flex-direction: column;
    height: 25vh;
    padding: 5vh;
    width: 50vw;
}

#sync-progress-bar {
    background-color: #eee;
    border: 2px solid #121c5e;
    border-radius: 3vh;
    box-shadow: inset 0 0 1rem #fff;
    display: block;
    height: 2rem;
    padding: 0;
    position: relative;
    margin: 1vh;
    width: 50%;
}

#sync-progress-active {
    background-color: #121c5e;
    height: 100%;
    width: 0%;
    border-radius: 3vh;
}

#sync-percentage {
    color: #fff;
    font-size: .8em;
    font-weight: bold;
    height: 100%;
    line-height: 1.8rem;
    position: absolute;
    width: 100%;
    text-align: center;
    text-shadow: 0 0 0.125rem #000;
    top: 0;
    border-radius: 3vh;
}

#document-container {
    align-items: flex-start;
    padding: 1em 0;
    overflow-y: auto;
}

#document {
    border-top: 1px solid #000;
    box-sizing: border-box;
    box-shadow: 0 -.5em 1em -.5em #000;
    padding: .5em;
    max-width: 80%;
    width: 1280px;
}

#toolbar {
    position: absolute;
    right: 0;
    z-index: 10;
}

#toolbar i.fa {
    cursor: pointer;
    font-size: 2em;
    padding: 1em;
}
